LibreOffice: XSubToolbarController Interface Reference

LibreOffice LibreOffice 25.2 SDK API Reference |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XSubToolbarController Interface Reference

special interface to support sub-toolbars in a controller implementation. More...

`import "XSubToolbarController.idl";`

Inheritance diagram for XSubToolbarController:

## Public Member Functions
boolean | opensSubToolbar ()
| if the controller features a sub-toolbar.
string | getSubToolbarName ()
| provides the resource URL of the sub-toolbar this controller opens.
void | functionSelected ([in] string aCommand)
| gets called to notify a controller that a sub-toolbar function has been selected.
void | updateImage ()
| gets called to notify a controller that it should set an image which represents the current selected function.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

special interface to support sub-toolbars in a controller implementation.

This interface is normally used to implement the toolbar button/sub- toolbar function feature. It exchanges the function of the toolbar button, that opened the sub-toolbar, with the one that has been selected on the sub-toolbar.

See also
  com::sun::star::frame::ToolbarController

Since
  OOo 2.0

## Member Function Documentation

## ◆ functionSelected()

void functionSelected | ( | [in] string | aCommand | ) |

gets called to notify a controller that a sub-toolbar function has been selected.

Parameters

  aCommand | a string which identifies the function that has been selected by a user.

## ◆ getSubToolbarName()

string getSubToolbarName | ( |  | ) |

provides the resource URL of the sub-toolbar this controller opens.

Returns
  name of the sub-toolbar this controller offers. A empty string will be interpreted as if this controller offers no sub-toolbar.

## ◆ opensSubToolbar()

boolean opensSubToolbar | ( |  | ) |

if the controller features a sub-toolbar.

Returns
  `TRUE` if the controller offers a sub toolbar, otherwise `FALSE`.

Enables implementations to dynamically decide to support sub-toolbars or not.

## ◆ updateImage()

void updateImage | ( |  | ) |

gets called to notify a controller that it should set an image which represents the current selected function.

Only the controller instance is able to set the correct image for the current function. A toolbar implementation will ask sub-toolbar controllers to update their image whenever it has to update the images of all its buttons.

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XSubToolbarController.idl